> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Work List

> Interface description: Get the list of works of the specified platform account



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json get /api/v2/channels/works/{platform}
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
paths:
  /api/v2/channels/works/{platform}:
    get:
      tags:
        - Channel Management/Works
      summary: Work List
      description: >-
        Interface description: Get the list of works of the specified platform
        account
      operationId: WorksController_listWorks_v2
      parameters:
        - name: platform
          in: path
          description: Platform identification
          required: true
          example: ''
          schema:
            type: string
        - name: accountId
          in: query
          description: Account ID
          required: true
          example: ''
          schema:
            description: Account ID
            type: string
            minLength: 1
        - name: pagination
          in: query
          description: Paging parameters
          required: false
          example: '{}'
          schema:
            default: {}
            description: Paging parameters
            anyOf:
              - type: object
                properties:
                  page:
                    type: integer
                    exclusiveMinimum: true
                    maximum: 9007199254740991
                    description: page number
                    minimum: 0
                  pageSize:
                    type: integer
                    exclusiveMinimum: true
                    maximum: 9007199254740991
                    description: Quantity per page
                    minimum: 0
                required:
                  - page
                  - pageSize
              - anyOf:
                  - type: object
                    properties:
                      cursor:
                        type: string
                        description: paging cursor
                      limit:
                        description: >-
                          Quantity per page, if not passed, the platform default
                          value will be used.
                        type: integer
                        exclusiveMinimum: true
                        maximum: 9007199254740991
                        minimum: 0
                      direction:
                        description: >-
                          Pagination direction, default to next page when not
                          uploaded
                        type: string
                        enum:
                          - next
                          - previous
                    required:
                      - cursor
                  - type: object
                    properties:
                      limit:
                        description: >-
                          Quantity per page, if not passed, the platform default
                          value will be used.
                        type: integer
                        exclusiveMinimum: true
                        maximum: 9007199254740991
                        minimum: 0
                      direction:
                        description: >-
                          Pagination direction, default to next page when not
                          uploaded
                        type: string
                        enum:
                          - next
                    required:
                      - limit
                  - type: object
                    properties:
                      direction:
                        description: >-
                          Pagination direction, default to next page when not
                          uploaded
                        type: string
                        enum:
                          - next
                    required:
                      - direction
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ChannelWorkListVo'
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      platform: douyin
                      items:
                        platformWorkId: string
                        contentMode: article2
                        title: string
                        description: string
                        url: string
                        coverUrl: string
                        publishedAt: '2026-07-02T12:00:00.000Z'
                        authorName: string
                        authorPlatformUid: string
                        status: string
                        metrics:
                          viewCount: 1
                          playCount: 1
                          impressionCount: 1
                          reachCount: 1
                          likeCount: 1
                          collectCount: 1
                          commentCount: 1
                          shareCount: 1
                          saveCount: 1
                          clickCount: 1
                          engagementCount: 1
                          watchTimeSeconds: 1
                      pagination:
                        mode: string
                        hasNext: true
                        hasPrevious: true
                        limit: 1
                        nextCursor: string
                        previousCursor: string
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: Parameter validation failed
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: Unauthenticated or invalid API Key
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
                accountNotFound12600:
                  summary: AccountNotFound (12600)
                  value:
                    code: 12600
                    message: Account not found
                    data: {}
                    timestamp: 1772099056662
                channelAuthPlatformMismatch15040:
                  summary: ChannelAuthPlatformMismatch (15040)
                  value:
                    code: 15040
                    message: Authorization platform does not match
                    data: {}
                    timestamp: 1772099056662
                channelPlatformOperationNotSupported15080:
                  summary: ChannelPlatformOperationNotSupported (15080)
                  value:
                    code: 15080
                    message: '{{platform}} does not support this operation'
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  schemas:
    ChannelWorkListVo:
      type: object
      properties:
        platform:
          type: string
          enum:
            - douyin
            - xhs
            - wxSph
            - KWAI
            - youtube
            - wxGzh
            - bilibili
            - twitter
            - tiktok
            - facebook
            - instagram
            - threads
            - pinterest
            - linkedin
            - google_business
          description: platform
        items:
          type: array
          items:
            type: object
            properties:
              platformWorkId:
                description: Platform work ID
                type: string
              contentMode:
                type: string
                enum:
                  - article2
                  - article
                  - video
                description: Work content type
              title:
                description: Title of work
                type: string
              description:
                description: Description of work
                type: string
              url:
                description: Work link
                type: string
              coverUrl:
                description: Cover URL
                type: string
              publishedAt:
                description: Release time
                type: string
                format: date-time
              authorName:
                description: Author name
                type: string
              authorPlatformUid:
                description: Author platform UID
                type: string
              status:
                description: Work status
                type: string
              metrics:
                description: Work indicators
                type: object
                properties:
                  viewCount:
                    description: Number of views
                    type: number
                  playCount:
                    description: Number of plays
                    type: number
                  impressionCount:
                    description: Exposures
                    type: number
                  reachCount:
                    description: Reach count
                    type: number
                  likeCount:
                    description: Number of likes
                    type: number
                  collectCount:
                    description: Number of collections
                    type: number
                  commentCount:
                    description: Number of comments
                    type: number
                  shareCount:
                    description: Number of shares
                    type: number
                  saveCount:
                    description: Number of saves
                    type: number
                  clickCount:
                    description: Clicks
                    type: number
                  engagementCount:
                    description: Number of interactions
                    type: number
                  watchTimeSeconds:
                    description: Watch time in seconds
                    type: number
            required:
              - platformWorkId
              - contentMode
          description: Work List
        pagination:
          oneOf:
            - type: object
              properties:
                mode:
                  type: string
                  description: Paging mode
                  enum:
                    - cursor
                nextCursor:
                  description: Next page cursor
                  type: string
                previousCursor:
                  description: Previous page cursor
                  type: string
                hasNext:
                  type: boolean
                  description: Is there a next page?
                hasPrevious:
                  type: boolean
                  description: Is there a previous page?
                limit:
                  type: integer
                  exclusiveMinimum: true
                  maximum: 9007199254740991
                  description: Quantity per page
                  minimum: 0
              required:
                - mode
                - hasNext
                - hasPrevious
                - limit
            - type: object
              properties:
                mode:
                  type: string
                  description: Paging mode
                  enum:
                    - page
                page:
                  type: integer
                  exclusiveMinimum: true
                  maximum: 9007199254740991
                  description: page number
                  minimum: 0
                pageSize:
                  type: integer
                  exclusiveMinimum: true
                  maximum: 9007199254740991
                  description: Quantity per page
                  minimum: 0
                total:
                  description: total
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                hasNext:
                  type: boolean
                  description: Is there a next page?
                hasPrevious:
                  type: boolean
                  description: Is there a previous page?
              required:
                - mode
                - page
                - pageSize
                - hasNext
                - hasPrevious
            - type: object
              properties:
                mode:
                  type: string
                  description: Paging mode
                  enum:
                    - none
              required:
                - mode
          description: Paginated results
      required:
        - platform
        - items
        - pagination
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        Need to get API Key from AiToEarn. Click to go to ["API Key Obtaining
        Tutorial"](/en/use/api-key).

````